<?xml version="1.0" encoding="utf-8"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_PropertyPlantAndEquipmentRightOfUseAssets" xlink:label="PropertyPlantAndEquipmentRightOfUseAssets" xlink:type="locator" />
    <link:label id="label_PropertyPlantAndEquipmentRightOfUseAssets" xlink:label="label_PropertyPlantAndEquipmentRightOfUseAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Property Plant And Equipment Right Of Use Assets</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PropertyPlantAndEquipmentRightOfUseAssets" xlink:to="label_PropertyPlantAndEquipmentRightOfUseAssets" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:label="AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:type="locator" />
    <link:label id="label_AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:label="label_AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments For Decrease Increase In Investments In Debtportfolios</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:to="label_AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:label="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:type="locator" />
    <link:label id="label_OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:label="label_OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating Income Taking Into Account The Result On Expected Credit Losses Fair Value Measurement And Other Income Costs From Purchased Debt Portfolios</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="label_OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:label="OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:type="locator" />
    <link:label id="label_OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:label="label_OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other Income Costs From Purchased Debt Portfolio</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:to="label_OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_IncomeFromTheSaleOfPorfoliosAndLoans" xlink:label="IncomeFromTheSaleOfPorfoliosAndLoans" xlink:type="locator" />
    <link:label id="label_IncomeFromTheSaleOfPorfoliosAndLoans" xlink:label="label_IncomeFromTheSaleOfPorfoliosAndLoans" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Income From The Sale Of Porfolios And Loans</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeFromTheSaleOfPorfoliosAndLoans" xlink:to="label_IncomeFromTheSaleOfPorfoliosAndLoans" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_CourtFees" xlink:label="CourtFees" xlink:type="locator" />
    <link:label id="label_CourtFees" xlink:label="label_CourtFees" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Court Fees</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CourtFees" xlink:to="label_CourtFees" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_EmployeeBenefitObligations" xlink:label="EmployeeBenefitObligations" xlink:type="locator" />
    <link:label id="label_EmployeeBenefitObligations" xlink:label="label_EmployeeBenefitObligations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Employee Benefit Obligations</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EmployeeBenefitObligations" xlink:to="label_EmployeeBenefitObligations" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_InterestReceivedAndPaidOnHedgingInstruments" xlink:label="InterestReceivedAndPaidOnHedgingInstruments" xlink:type="locator" />
    <link:label id="label_InterestReceivedAndPaidOnHedgingInstruments" xlink:label="label_InterestReceivedAndPaidOnHedgingInstruments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest Received And Paid On Hedging Instruments</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestReceivedAndPaidOnHedgingInstruments" xlink:to="label_InterestReceivedAndPaidOnHedgingInstruments" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_InvestmentsInDebtPortfoliosAndLoans" xlink:label="InvestmentsInDebtPortfoliosAndLoans" xlink:type="locator" />
    <link:label id="label_InvestmentsInDebtPortfoliosAndLoans" xlink:label="label_InvestmentsInDebtPortfoliosAndLoans" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Investments In Debt Portfolios And Loans</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InvestmentsInDebtPortfoliosAndLoans" xlink:to="label_InvestmentsInDebtPortfoliosAndLoans" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_WriteoffOfDevelopmentWork" xlink:label="WriteoffOfDevelopmentWork" xlink:type="locator" />
    <link:label id="label_WriteoffOfDevelopmentWork" xlink:label="label_WriteoffOfDevelopmentWork" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Writeoff Of Development Work</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WriteoffOfDevelopmentWork" xlink:to="label_WriteoffOfDevelopmentWork" xlink:type="arc" />
  </link:labelLink>
</link:linkbase>